[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'ipc' (#rtl)

# TMSQid_ds

Record returned by the msgctl call, contains all data about a message queue.

## Declaration

Source position: ipc.pp line 522

`type TMSQid_ds = record`
`msg_perm: TIPC_Perm;` |  | Queue permissions
`msg_stime: time_t;` |  | Last send time
`msg_rtime: time_t;` |  | Last receive time
`msg_ctime: time_t;` |  | Last control time
`msg_cbytes: QWord;` |  |
`msg_qnum: QWord;` |  |
`msg_qbytes: QWord;` |  |
`msg_lspid: ipc_pid_t;` |  |
`msg_lrpid: ipc_pid_t;` |  |
`pad1: QWord;`
`pad2: QWord;`
`end;`

## Description

This record should never be used directly, it is an internal kernel record. It's fields may change at any time.